## HdyPreferencesRow HdyPreferencesRow — A GtkListBox row used to present preferences. |

## Functions

HdyPreferencesRow * | hdy_preferences_row_new ()
const gchar * | hdy_preferences_row_get_title ()
void | hdy_preferences_row_set_title ()
gboolean | hdy_preferences_row_get_use_underline ()
void | hdy_preferences_row_set_use_underline ()

## Properties

gchar * | title | Read / Write
gboolean | use-underline | Read / Write

## Types and Values

#define | HDY_TYPE_PREFERENCES_ROW
struct | HdyPreferencesRowClass
| HdyPreferencesRow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkListBoxRow
                            ╰── HdyPreferencesRow
                                ╰── HdyActionRow

## Implemented Interfaces

HdyPreferencesRow implements AtkImplementorIface, GtkBuildable and GtkActionable.

## Description

The HdyPreferencesRow widget has a title that HdyPreferencesWindow will use to let the user look for a preference. It doesn't present the title in any way and it lets you present the preference as you please.

HdyActionRow and its derivatives are convenient to use as preference rows as they take care of presenting the preference's title while letting you compose the inputs of the preference around it.

## Functions

### hdy_preferences_row_new ()

    HdyPreferencesRow *
    hdy_preferences_row_new (void);

Creates a new HdyPreferencesRow.

#### Returns

a new HdyPreferencesRow

Since: 0.0.10

### hdy_preferences_row_get_title ()

    const gchar *
    hdy_preferences_row_get_title (HdyPreferencesRow *self);

Gets the title of the preference represented by `self` .

#### Parameters

self | a HdyPreferencesRow |

#### Returns

the title of the preference represented by `self` , or `NULL`.

[transfer none][nullable]

Since: 0.0.10

### hdy_preferences_row_set_title ()

    void
    hdy_preferences_row_set_title (HdyPreferencesRow *self,
                                   const gchar *title);

Sets the title of the preference represented by `self` .

#### Parameters

self | a HdyPreferencesRow |
title | the title, or `NULL`. | [nullable]

Since: 0.0.10

### hdy_preferences_row_get_use_underline ()

    gboolean
    hdy_preferences_row_get_use_underline (HdyPreferencesRow *self);

Gets whether an embedded underline in the text of the title indicates a mnemonic. See `hdy_preferences_row_set_use_underline()`.

#### Parameters

self | a HdyPreferencesRow |

#### Returns

`TRUE` if an embedded underline in the title indicates the mnemonic accelerator keys.

Since: 0.0.10

### hdy_preferences_row_set_use_underline ()

    void
    hdy_preferences_row_set_use_underline (HdyPreferencesRow *self,
                                           gboolean use_underline);

If true, an underline in the text of the title indicates the next character should be used for the mnemonic accelerator key.

#### Parameters

self | a HdyPreferencesRow |
use_underline | `TRUE` if underlines in the text indicate mnemonics |

Since: 0.0.10

## Types and Values

### HDY_TYPE_PREFERENCES_ROW

    #define HDY_TYPE_PREFERENCES_ROW (hdy_preferences_row_get_type())

### struct HdyPreferencesRowClass

    struct HdyPreferencesRowClass {
      GtkListBoxRowClass parent_class;
    };

#### Members

### HdyPreferencesRow

    typedef struct _HdyPreferencesRow HdyPreferencesRow;

## Property Details

### The `“title”` property

      “title”                    gchar *

The title of the preference represented by this row.

Owner: HdyPreferencesRow

Flags: Read / Write

Default value: ""

Since: 0.0.10

### The `“use-underline”` property

      “use-underline”            gboolean

Whether an embedded underline in the text of the title indicates a mnemonic.

Owner: HdyPreferencesRow

Flags: Read / Write

Default value: FALSE

Since: 0.0.10